Bug 10107 - Non standard genksym prefix for smp and bigmem
Summary: Non standard genksym prefix for smp and bigmem
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-10 08:53 UTC by Keith Owens
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 03:07:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Keith Owens 2000-03-10 08:53:06 UTC
linux-2.2.12-symversion.patch changes the smp and bigmem symbol prefixes
from _smp, smp2gig_ and 2gig_ by removing the trailing '_'.  This breaks
modutils and ksymoops, both of which expect the trailing '_'.  I can see no
good reason for this patch, it is incompatible with the standard kernel and
every other distribution.  It also breaks binary only modules that were
compiled against the standard kernel, although I do not really care about
those.  Please backout linux-2.2.12-symversion.patch on 6.0 and 6.1.

Comment 1 Alan Cox 2002-12-14 03:07:30 UTC
Now historical. Newer systems got rid of the 2g stuff and use -smp as a general
convention as with the community. Thus this bug seems stale



Note You need to log in before you can comment on or make changes to this bug.